package com.javacodegeeks.examples.rivu.jpa.service;

import java.util.Iterator;
import java.util.List;
import java.util.Scanner;

import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;

import com.javacodegeeks.examples.rivu.jpa.entity.Employee;
import com.javacodegeeks.examples.rivu.jpa.entity.Department;
import com.javacodegeeks.examples.rivu.jpa.entity.Job;
import com.javacodegeeks.examples.rivu.jpa.entity.Projects;

public class OnetoOneService {

	public static void main(String[] args) {
		
		
		Scanner sc=new Scanner(System.in);
		
		EntityManagerFactory emfactory = Persistence.createEntityManagerFactory( "RivuChk_JPA" );
	   	EntityManager entitymanager = emfactory.createEntityManager( );
	   	entitymanager.getTransaction( ).begin( );
	   	
	   	System.out.println("Enter Job ID");
	   	
	   	int jid=sc.nextInt();
	   	
	   	Job job = entitymanager.find(Job.class, jid);

	   	System.out.println("Job: "+job.toString());
	   	
	   	
	   Employee emp=job.getEmployee();
	   
	   System.out.println("Employee: "+emp.toString());
	   	
		entitymanager.getTransaction( ).commit( );
		
		
		entitymanager.close();
		emfactory.close();
	   	
	   	
	}

}
